Download it now!
Bug 129574 - FILESAVE: RTF: Duplicated entries in TOC after RT in MSO
Summary: FILESAVE: RTF: Duplicated entries in TOC after RT in MSO
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:6.5.0 target:6.4.0
Keywords: bibisected, regression
Depends on:
Blocks: RTF-TableofContents
  Show dependency treegraph
 
Reported: 2019-12-23 11:17 UTC by Xisco Faulí
Modified: 2020-01-17 16:37 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
sample file (27.00 KB, application/msword)
2019-12-23 11:17 UTC, Xisco Faulí
Details
Another file affected (25.50 KB, application/msword)
2019-12-23 11:37 UTC, Xisco Faulí
Details
another one (23.50 KB, application/msword)
2019-12-23 11:51 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-12-23 11:17:05 UTC
Created attachment 156745 [details]
sample file

Steps to reproduce:
1. Open attached document
2. Save it as .RTF
3. Open the new created document in MSO ( I used MSO 2010 )

-> New Delhi and Railway Station are duplicated

Reproduced in

Version: 6.5.0.0.alpha0+
Build ID: dee81fb2e1df5091702b3c8b0e4a3f2b58e89291
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

[Bug found by office-interoperability-tools]
Comment 2 Xisco Faulí 2019-12-23 11:37:02 UTC
Created attachment 156747 [details]
Another file affected
Comment 3 Xisco Faulí 2019-12-23 11:49:26 UTC
attachment 129098 [details] from bug 104239 is also affected
Comment 4 Xisco Faulí 2019-12-23 11:51:15 UTC
Created attachment 156748 [details]
another one
Comment 5 Commit Notification 2020-01-15 17:36:32 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/05d833a26208404e5f2b3d61298a57c9bcc7c1fe

tdf#129574 sw: fix RTF export of table of contents

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Michael Stahl (CIB) 2020-01-15 18:08:35 UTC
the regression is apparently that instead of no TOC field, we now write a TOC field in the wrong place... not sure if that is really a regression...

but it should be fixed on master, although perhaps not in the most elegant way.
Comment 7 Commit Notification 2020-01-15 22:52:38 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/23ae7824ccd2df8fad6ee42ba66d2bc9a50843ff

tdf#129574 sw: fix RTF export of table of contents

It will be available in 6.4.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2020-01-17 12:44:02 UTC
Issue verified in

Version: 6.5.0.0.alpha0+
Build ID: cc36c115004cb75037b0e4fdadff09035f765cd5
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@Michael, thanks for fixing this issue!!
Comment 9 Commit Notification 2020-01-17 16:16:37 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-4-0":

https://git.libreoffice.org/core/commit/6ff3af1d6f59251c0e6d67e3d3d9495a1a182ab5

tdf#129574 sw: fix RTF export of table of contents

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.